// |$Id: hlp_labl.c,v 1.1.1.1 2017/09/16 19:19:46 pm Exp $      |
/* |------------------------------------------------------------|
   | Basic Seismic Utilities (BSU)                              |
   | LANGUAGE: C                                                |
   | AUTHOR: P. MICHAELS    http://cgiss.boisestate.edu/~pm     | 
   | FUNCTION NAME: hlp_labl.c                                  |
   | DIRECTORY: bsu-2.0.2/src/sublibC4                          |
   |------------------------------------------------------------|
   |  NOTICE:                                                   |
   |  Copyright (C) 2017 Paul Michaels                          |
   |  <pm@cgiss.boisestate.edu>                                 |
   |  This program is free software; you can                    |
   |  redistribute it and/or modify it under the terms          |
   |  of the GNU General Public License as published            |
   |  by the Free Software Foundation; either version           |
   |  3 of the License, or (at your option) any later           |
   |  version.  This program is distributed in the              |
   |  hope that it will be useful, but                          |
   |  WITHOUT ANY WARRANTY; without even the implied            |
   |  warranty of MERCHANTABILITY or FITNESS FOR A              |
   |  PARTICULAR PURPOSE.  See the GNU General Public           |
   |  License for more details.                                 |
   |  You should have received a copy of the GNU                |
   |  General Public License along with this program;           |
   |  if not, write to the Free Software Foundation,            |
   |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
   |------------------------------------------------------------|
   |                                                            |
   | purpose: online help panel to screen, 2 messages, 45 char  |
   |                                                      each  |
   |------------------------------------------------------------|
*/
      #include <stdio.h>

      void hlp_labl(char msg1[],  char  msg2[])
     {
      int               i;

      unsigned char     b1=124,   // upper left  corner
                        b2=45,    // horizontal  bar
                        b3=124,   // vertical    bar
                        b4=124,   // upper right corner
                        b5=124,   // lower left  corner
                        b6=124;   // lower right corner

//...help pannel
      printf("\n %c",b1);
      for(i=0;i<45;i++) printf("%c",b2);
      printf("%c",b4);
      printf("\n %c",b3);
      printf(" Basic Seismic Utilities (BSU) C-LANGUAGE    %c",b3);
      printf("\n %c",b3);
      printf(" ONLINE HELP:                                %c",b3);
      printf("\n %c",b1);
      for(i=0;i<45;i++) printf("%c",b2);
      printf("%c",b4);
      printf("\n %c",b3);
      printf("%s%c",msg1,b3);
      printf("\n %c",b3);
      printf("%s%c",msg2,b3);
      printf("\n %c",b5);
      for(i=0;i<45;i++) printf("%c",b2);
      printf("%c\n",b6);
      puts(" ");



   }  //end hlp_labl
